#
# Conditional build:
%bcond_without	verify	# don't verify database

Summary:	Wireless regulatory database for Linux drivers
Summary(pl.UTF-8):	Baza danych przepisów dotyczących sieci bezprzewodowych dla sterowników linuksowych
Name:		wireless-regdb
Version:	2025.02.20
Release:	2
License:	ISC
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
# Source0-md5:	7454c55208ca51bae6461ca7932559ab
URL:		https://wireless.wiki.kernel.org/en/developers/Regulatory
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_verify:BuildRequires:	crda}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains the wireless regulatory database used by all
cfg80211 based Linux wireless drivers.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych przepisów dotyczących częstotliwości
dopuszczonych dla sieci bezprzewodowych, wykorzystywaną przez
wszystkie linuksowe sterowniki bezprzewodowe oparte na cfg80211.

%prep
%setup -q

%build
%if %{with verify}
PATH=/sbin:$PATH \
regdbdump regulatory.bin > dump.txt
test -s dump.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/lib/firmware,/lib/crda,%{_mandir}/man5}
cp -p regulatory.db regulatory.db.p7s $RPM_BUILD_ROOT/lib/firmware
cp -p regulatory.bin $RPM_BUILD_ROOT/lib/crda/regulatory.bin
cp -p regulatory.bin.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
/lib/firmware/regulatory.db
/lib/firmware/regulatory.db.p7s
/lib/crda
%{_mandir}/man5/regulatory.bin.5*
%changelog
* Tue Feb 25 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-regdb.git;a=log;h=master

* Tue Feb 25 2025 Jan Palus <atler@pld-linux.org> e7dd8a4
- don't override %{_datadir} as it messes up %{_docdir} with recent rpm; rel 2

* Thu Feb 20 2025 Jan Palus <atler@pld-linux.org> 7b7a072
- up to 2025.02.20

* Mon Oct 07 2024 Jan Palus <atler@pld-linux.org> 6b4e472
- up to 2024.10.07

* Thu Jul 04 2024 Jan Palus <atler@pld-linux.org> ff9b7e6
- up to 2024.07.04

* Wed May 08 2024 Jan Palus <atler@pld-linux.org> 39dbd12
- up to 2024.05.08

* Thu Feb 01 2024 Jan Palus <atler@pld-linux.org> 03adbce
- up to 2024.01.23

* Fri Sep 01 2023 Jan Palus <atler@pld-linux.org> d2a59e3
- up to 2023.09.01

* Thu May 04 2023 Jan Palus <atler@pld-linux.org> ff38fc3
- up to 2023.05.03

* Mon Feb 13 2023 Jan Palus <atler@pld-linux.org> c70f07b
- up to 2023.02.13

* Fri Aug 12 2022 Jan Palus <atler@pld-linux.org> 77ec247
- up to 2022.08.12

* Tue Jun 07 2022 Jan Palus <atler@pld-linux.org> f8bc875
- up to 2022.06.06

* Fri Apr 08 2022 Jan Palus <atler@pld-linux.org> cbe409a
- up to 2022.04.08

* Sun Feb 20 2022 Jan Rękorajski <baggins@pld-linux.org> 5f3b219
- Release 2 (by relup.sh)

* Sat Feb 19 2022 Jan Palus <atler@pld-linux.org> 3bb4786
- up to 2022.02.18

* Wed Sep 01 2021 Jan Palus <atler@pld-linux.org> ecd8713
- up to 2021.08.28

* Wed Jul 14 2021 Jan Palus <atler@pld-linux.org> c654947
- up to 2021.07.14

* Fri Apr 23 2021 Jan Palus <atler@pld-linux.org> b3d7669
- up to 2021.04.21

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> 2737790
- up to 2020.11.20

* Fri May 01 2020 Jan Palus <atler@pld-linux.org> 2974055
- up to 2020.04.29

* Wed Jun 05 2019 Jan Palus <atler@pld-linux.org> 0fcb06d
- up to 2019.06.03

